#ifndef _TKEYTEST_H_
#define _TKEYTEST_H_

#include <TObject.h>
#include <TQObject.h>
#include <TCanvas.h>
#include <TPaveText.h>

class TKeyTest : public TObject, public TQObject
{
  public:
    TKeyTest();
    virtual ~TKeyTest();

    virtual void Done(Int_t status=0); // *SIGNAL*
    virtual void PrintKey(Int_t); // SLOT

  private:
    TCanvas   *fCanvas;
    TPaveText *fInfo;

  ClassDef(TKeyTest, 1)
};

// root dictionary stuff --------------------------------------------------
#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TKeyTest+;

#endif
// root dictionary stuff --------------------------------------------------

#endif // _TKEYTEST_H_
